import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import router from '@/router'
import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'

// 创建pinia实例
const pinia = createPinia()
// 持久化插件
pinia.use(piniaPluginPersistedstate)

createApp(App)
.use(pinia)
.use(router)
.mount('#app')
